windows - Sådan installeres ionisk - Jeg får 'npm ERR! path' og andre fejl

Indlæg af Hanne Mølgaard Plasc

Problem



hjælp venligst :)


Hvordan installerer jeg IONIC på Windows. Af en eller anden tilfældig grund installerer den ikke.


Jeg har installeret Node, NPM og Cordova.


Men jeg får fejl, når jeg prøver at installere IONIC.


Her er min log:


Så problemet er, at jeg ikke kan installere ionisk.


C: \ Windows \ system32> ioniske


'ionisk' genkendes ikke som en intern eller ekstern kommando,
opererbart program eller batch-fil.


C: \ Windows \ system32> npm -v


4.4.2


C: \ Windows \ system32> cordova -v


6.5.0


C: \ Windows \ system32> node -v


v6.10.0


C: \ Windows \ system32> npm installer -g ionisk


npm WARN udskrevet minimatch@0.2.14: Opdater venligst til minimatch 3.0.2 eller højere for at undgå et RegExp DoS problem


npm WARN udskrevet minimatch@0.3.0: Opdater venligst til minimatch 3.0.2 eller højere for at undgå et RegExp DoS problem


npm WARN udskrevet minimatch@2.0.10: Opdater venligst til minimatch 3.0.2 eller højere for at undgå et RegExp DoS problem


npm WARN deprecated node-uuid@1.4.8: Brug uuid-modul i stedet


npm WARN udskrevet node-uuid@1.3.3: Brug uuid-modul i stedet
C: \ Users \ jasonbullen \ AppData \ Roaming \ npm `- (tom)


npm WARN valgfri SKIPPING OPTIONAL AFHÆNGIGHED: fsevents@¹1.0.0 (node\_modules \ ionic \ node\_modules \ chokidar \ node\_modules \ fsevents):


npm WARN notsup SKIPPING OPTIONAL AFHÆNGIGHED: Ikke understøttet platform for fsevents @ 1.1.1: ønsket {'os': 'darwin', 'arch': 'any'} (nuværende: {'os': 'win32', 'arch' 'x64'}
)


npm WARN I ionic@2.2.1 erstatter bundtet version af mime-typer med mime-typer @ 2.0.14


npm WARN I ionic@2.2.1 erstatter bundled version af semver med semver@4.2.0


npm WARN I ionic@2.2.1 erstatter bundtet version af cross-spawn med cross-spawn@4.0.2


npm WARN I ionic@2.2.1 erstatter bundtet version af formdata med form-data@0.2.0


npm WARN I ionic@2.2.1 erstatter bundtet version af anmodning med request@2.51.0


npm WARN I ionic@2.2.1 erstatter bundtet version af ionic-app-lib med ionic-app-lib@2.2.0


npm ERR! sti C: \ Users \ jasonbullen \ AppData \ Roaming \ npm \ node\_modules.staging \ ans
i-b577a3a1



npm ERR! kode EJENDOM


npm ERR! errno -4058


npm ERR! syscall omdøbe


npm ERR! ENOENT: ingen sådan fil eller mappe, omdøbe 'C: \ Users \ jasonbullen \ AppData \ Roaming \ npm \ node\_modules.staging \ ansi-b577a3a1' -> 'C: \ Brugere \ jasonbullen \ AppData \ Roaming \ npm \ node\_modules \ ioniske \ node\_modules \ Cordova-lib \ node\_modules \ ansi'


npm ERR! ENOENT: ingen sådan fil eller mappe, omdøbe 'C: \ Users \ jasonbullen \ AppData \ Roaming \ npm \ node\_modules.staging \ ansi-b577a3a1' -> 'C: \ Brugere \ jasonbullen \ AppData \ Roaming \ npm \ node\_modules \ ioniske \ node\_modules \ Cordova-lib \ node\_modules \ ansi'


npm ERR! enoent Dette er sandsynligvis ikke et problem med npm selv


npm ERR! enoent og er relateret til npm ikke at kunne finde en fil.


npm ERR! enoent


npm ERR! En komplet log af dette løb findes i:


npm ERR! C: \ Brugere \ jasonbullen \ AppData \ Roaming \ NPM-cache\_logs \ 2017-03-23T09\_44\_06\_598Z-debug.log


Mange tak :)


Hjælp venligst folk - det virker stadig ikke :(

Bedste reference


Problemet kan muligvis løse efter opdateringen npm-modulet og installere ionisk globalt


npm cache clean -f
npm install -g npm 
npm uninstall -g ionic cordova
npm cache clean -f
npm install -g ionic cordova


Hvis problemet stadig vedvarer


npm install -g minimatch


Udstedelse henvises til https://github.com/npm/npm/issues/13323[6]

Andre referencer 1


tilføj windows platform ved at køre:


ionic platform add windows


eller alternativt


Tilføj dette til din config.xml:


<engine name="windows" spec="5.0.0" />


og kør ionic prepare
se mit svar her: https://stackoverflow.com/a/42815110/5239171